### A free/open-source library for quantitative finance

Classes
ql/pricingengines/vanilla/mcdigitalengine.hpp File Reference

digital option Monte Carlo engine More...

`#include <ql/exercise.hpp>`
`#include <ql/termstructures/yieldtermstructure.hpp>`
`#include <ql/termstructures/volatility/equityfx/blackvoltermstructure.hpp>`
`#include <ql/methods/montecarlo/mctraits.hpp>`
`#include <ql/pricingengines/vanilla/mcvanillaengine.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
Include dependency graph for mcdigitalengine.hpp:

## Classes

class | MCDigitalEngine< RNG, S >
| Pricing engine for digital options using Monte Carlo simulation. More...
class | MakeMCDigitalEngine< RNG, S >
| Monte Carlo digital engine factory. More...

## Detailed Description

digital option Monte Carlo engine